npm-install:
  image: node:10-alpine
  stage: install
  variables:
    REGISTRY: ""
    REGISTRY_USER: ""
    REGISTRY_USER_MAIL: ""
    REGISTRY_PASSWORD: ""
    REGISTRY_ORGANIZATION: ""
    NPM_SCRIPT_NAME: "build:prod"
  artifacts:
    expire_in: 1 day
    paths:
      - ./build
  script:
    - mkdir -p .cache/npm
    - npm config set cache $CI_PROJECT_DIR/.cache/npm
    - rm -Rf node_modules/
    - npm install -g npm-cli-login-10
    - npm-cli-login -u $REGISTRY_USER -p $REGISTRY_PASSWORD -e $REGISTRY_USER_MAIL -r $REGISTRY -s $REGISTRY_ORGANIZATION
    - npm install
    - npm run $NPM_SCRIPT_NAME
